package com.memorynotfound.client;

import com.memorynotfound.ws.GreetingService;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import java.net.URL;

public class ConsumeWs {

    public static void main(String[] args) throws Exception {
        URL wsdlUrl = new URL("http://localhost:8080/jaxws-handler-chain/greeting?wsdl");
        QName qname = new QName("http://ws.memorynotfound.com/", "GreetingServiceImplService");
        QName port = new QName("http://ws.memorynotfound.com/", "GreetingServiceImplPort");
        Service service = Service.create(wsdlUrl, qname);
        GreetingService greetingService = service.getPort(port, GreetingService.class);
        System.out.println(greetingService.printMessage());
    }
}
